
TYPO3.Fluid - Bug # 10902

Status: Resolved Priority: Must have
Author: Georg Ringer Category: ViewHelpers
Created: 2010-11-17 Assigned To: Bastian Waidelich
Updated: 2010-11-18 Due date:
Has patch:
Affected Flow version:
Subject: Paginate widget produces exception with too high offset
Description

If the offset is too high, an exception is thrown. This neeeds to be avoided as this can happen if there are old links (from search
engines, shared links, ...).

example: 
itemsPerPage:3 and 7 records and [__widget_0][currentPage]=4

solution would be to show either the results as if no offset is set or the last pages, including a redirect or at least the correct headers

History
#1 - 2010-11-18 13:09 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2010-11-18 13:10 - Bastian Waidelich
- Category set to ViewHelpers

#3 - 2010-11-18 14:11 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
- Branch set to v4 + v5

Applied in Changeset r2951
